# Uses of Interface
org.eclipse.birt.report.engine.api.IDocumentWriter

Packages that use IDocumentWriter
Package
Description
org.eclipse.birt.report.engine.api
This is an application-writer's interface for using the BIRT report engine.

## Uses of IDocumentWriter in org.eclipse.birt.report.engine.api

Methods in org.eclipse.birt.report.engine.api that return IDocumentWriter
Modifier and Type
Method
Description
`IDocumentWriter`
IReportEngine.`openDocumentWriter(org.eclipse.birt.core.archive.compound.IArchiveFile file)`
creates a document writer that can write this archive file
`IDocumentWriter`
ReportEngine.`openDocumentWriter(org.eclipse.birt.core.archive.compound.IArchiveFile file)`
creates a document writer that can write this archive file